curl --request GET \
--url https://api.myscalev.com/v3/stores/{store_id}/customers/me/subscriptions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"activated_at": "2023-11-07T05:31:56Z",
"business_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canceled_at": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"current_period_start": "2023-11-07T05:31:56Z",
"customer": {
"confirmed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"id": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"status": "<string>"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expired_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inserted_at": "2023-11-07T05:31:56Z",
"interval": "day",
"interval_count": 123,
"is_active": true,
"is_cancel_at_period_end": true,
"status": "unactivated",
"store": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"unique_id": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "<string>",
"subscription_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"status": "unactivated",
"unit_price": 123,
"variant": {
"id": 123,
"item_type": "physical",
"name": "<string>",
"product_name": "<string>"
}
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"is_paginated": true,
"has_next": false,
"last_id": "123e4567-e89b-12d3-a456-426614174000",
"page_size": 25
}No OAuth machine scope. Customer-authenticated storefront endpoint. Retrieves a paginated list of subscriptions. The data is sorted by id in descending order. Uses cursor-based pagination with default page size of 25 and maximum of 25.
curl --request GET \
--url https://api.myscalev.com/v3/stores/{store_id}/customers/me/subscriptions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"activated_at": "2023-11-07T05:31:56Z",
"business_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canceled_at": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"current_period_start": "2023-11-07T05:31:56Z",
"customer": {
"confirmed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"id": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"status": "<string>"
},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expired_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inserted_at": "2023-11-07T05:31:56Z",
"interval": "day",
"interval_count": 123,
"is_active": true,
"is_cancel_at_period_end": true,
"status": "unactivated",
"store": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"unique_id": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "<string>",
"subscription_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"status": "unactivated",
"unit_price": 123,
"variant": {
"id": 123,
"item_type": "physical",
"name": "<string>",
"product_name": "<string>"
}
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"is_paginated": true,
"has_next": false,
"last_id": "123e4567-e89b-12d3-a456-426614174000",
"page_size": 25
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Store unique_id.
Number of items per page (default: 25, max: 25)
x <= 2525
Last subscription UUID for cursor-based pagination
Filter by subscription status (unactivated, active, canceled, expired)
unactivated, active, canceled, expired, failed Subscriptions list
Paginated list payload for v3.